﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.JavaScript.DataVisualization.DiagramEnums;
using Syncfusion.JavaScript.DataVisualization.Models;
using System.Web.Script.Serialization;
using Syncfusion.JavaScript.DataVisualization.Models.Collections;
using MvcApplication60.Models;
using System.Data.Entity.Validation;
using Syncfusion.JavaScript.DataVisualization.Models.Diagram;
using MvcApplication69.Controllers;

namespace MvcApplication60.Controllers
{
    public class EntityController : Controller
    {
        //
        // GET: /Entity/
        string sn, sn1;
        DiagramProperties model = new DiagramProperties();
        public ActionResult Index()
        {
            OverviewProperties overview = new OverviewProperties();
            overview.Height = "158px";
            overview.Width = "253px";
            overview.SourceID = "DiagramContent";
            DiagramBuilderModel diagramModel = new DiagramBuilderModel();
            SymbolPaletteProperties symbolpalette = new SymbolPaletteProperties();
            diagramModel.Palette(symbolpalette);
            diagramModel.Model.Tool = Tool.SingleSelect | Tool.ZoomPan;
            diagramModel.GenerateBasicShapes(symbolpalette);
            diagramModel.GenerateFlowShapes(symbolpalette);
            diagramModel.GenerateArrowShapes(symbolpalette);
            diagramModel.GenerateElectricalShapes(symbolpalette);
            diagramModel.GenerateBpmnShapes(symbolpalette);
            diagramModel.GenerateConnectors(symbolpalette);
            diagramModel.GenerateSwimLanes(symbolpalette);
            ViewData["DiagramModel"] = diagramModel.Model;
            ViewData["overview"] = overview;
            ViewData["SymbolPaletteModel"] = symbolpalette;
            return View();
        }
       
        [HttpPost]
        public ActionResult save(string ff)
        {
                NorthwindcontextsDiagramEntities entities = new NorthwindcontextsDiagramEntities();
                SaveDatabase gh = new SaveDatabase();
                gh.Diagram2 = ff;
                gh.Diagram3 = "dwd";
                entities.SaveDatabases.Add(gh);
                entities.SaveChanges();
            return null;
        }
        [HttpPost]
        public ActionResult load()
        {
            NorthwindcontextsDiagramEntities entities = new NorthwindcontextsDiagramEntities();
            entities = SqlCE;
            List<SaveDatabase> kk = entities.SaveDatabases.ToList<SaveDatabase>();
            foreach (SaveDatabase it in kk)
            {
                sn = it.Diagram2;
                sn1 = it.Diagram3;
            }
            string gg = sn;
            return Content(gg);
        }
        
        private void connectnodes(Node sourcenode, Node targetnode)
        {
            Connector connector = new Connector();
            connector.Name = "line" + model.Connectors.Count;
            Segment segment = new Segment();
            segment.Type = Segments.Orthogonal;
            connector.Segments.Add(segment); 
            connector.SourceNode = sourcenode.Name;
            connector.TargetNode = targetnode.Name;
            model.Connectors.Add(connector);
        }
        

        public NorthwindcontextsDiagramEntities SqlCE
        {
            get
            {
                AppDomain.CurrentDomain.SetData("SQLServerCompactEditionUnderWebHosting", true);
                string connectionString = @"Data Source=|DataDirectory|\Diagram.sdf";
                return new NorthwindcontextsDiagramEntities(connectionString);
            }
        }
    }
}
